set number

set listchars=tab:>-,trail:~,extends:>,precedes:<
set list

set expandtab
set tabstop=2
set shiftwidth=2

set autoindent

set colorcolumn=80

set cursorline
set mouse=a

set clipboard=unnamedplus

set nocompatible
filetype plugin on
syntax on

call plug#begin('~/.vim/plugged')
Plug 'Yggdroot/indentLine'
Plug 'EdenEast/nightfox.nvim'
Plug 'cdmill/neomodern.nvim'
Plug 'vim-airline/vim-airline'
Plug 'vim-airline/vim-airline-themes'
Plug 'vim-syntastic/syntastic'
Plug 'ur4ltz/surround.nvim'
Plug 'dense-analysis/ale'
call plug#end()

nnoremap <C-n> :Neotree<CR>

nnoremap <tab> <C-w>

nnoremap <C-h> :tabprevious<CR>
nnoremap <C-l> :tabnext<CR>
nnoremap <C-CR> :tabnew<CR>
let g:airline_theme='violet'
set modeline
autocmd FileType markdown set textwidth=80
autocmd FileType asciidoc set textwidth=80
set scrolloff=5 

let g:org_agenda_files = ['~/org/*.org']

tnoremap <Esc> <C-\><C-n>
